package org.objectweb.jinha.editparts;
 
import java.util.List;

import org.eclipse.draw2d.IFigure;
import org.objectweb.jinha.figures.HomeMethodListFigure;
import org.objectweb.jinha.model.HomeMethodListModel;

/**
 * @author LAFON Jerome, CRESSON Sylvain, PIGNARD Quentin
 *
  */
public class HomeMethodListEditPart extends ListEditPart {

    /**
     * @return the figure associated with a homeMethod list
     * @see org.eclipse.gef.editparts.AbstractGraphicalEditPart#createFigure()
     */
    public IFigure createFigure() {
        return new HomeMethodListFigure();
    }

    /**
     * @return the list of children for this part
     * @see org.eclipse.gef.editparts.AbstractEditPart#getModelChildren()
     */
    public List getModelChildren() {
        return ((HomeMethodListModel) getModel()).getElementList();
    }
}