package org.objectweb.jinha.figures;
 
import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.CompoundBorder;
import org.eclipse.draw2d.Figure;
import org.eclipse.draw2d.LabeledBorder;
import org.eclipse.draw2d.LineBorder;
import org.eclipse.draw2d.ScrollPane;
import org.eclipse.swt.graphics.Color;

/*
 * import java.awt.Dimension; import org.eclipse.draw2d.ColorConstants; import
 * org.eclipse.draw2d.CompoundBorder; import org.eclipse.draw2d.Figure; import
 * org.eclipse.draw2d.LabeledBorder; import org.eclipse.draw2d.LineBorder;
 * import org.eclipse.draw2d.ScrollPane; import
 * org.eclipse.draw2d.ToolbarLayout;
 */

public class MessageDrivenFigure extends ScrollPane {

    private String        className;

    private LabeledBorder labeledBorder;

    private ContentPane   contentPane;   //classe dfinie ci-dessous.

    public MessageDrivenFigure() {
        this.setHorizontalScrollBarVisibility(ScrollPane.NEVER);

        //background:
        setBackgroundColor(ColorConstants.white);

        //bord:
        labeledBorder = new EjbFigureBorder(new Color(null, 165, 220, 245));
        ShadowBorder border = new ShadowBorder();
        border.setWidth(3);
        //setBorder(new CompoundBorder(new SimpleRaisedBorder(), new
        // CompoundBorder(new LineBorder(2), labeledBorder)));
        setBorder(new CompoundBorder(border, new CompoundBorder(new LineBorder(
                1), labeledBorder)));

        //contentpane:
        contentPane = new ContentPane();
        getViewport().setContents(contentPane);//Et PAS
                                               // getViewport().add(contentPane)
                                               // !! (deux heures de prise de
                                               // tte)
    }

    public void setLabel(String label) {
        labeledBorder.setLabel(label);
        revalidate();//pour tre sr mais probablement pas ncessaire.
        repaint();
    }

    public Figure getContentPane() {
        return contentPane;
    }

    public void setSpacing(int spacing) {
        contentPane.setSpacing(spacing);
    }
}